---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/issues/get-global-fields.md
title: How to get global fields with the help of the Yandex Tracker API
description: In this tutorial, you will learn how to get global fields in Tracker.
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt


# Getting global fields

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/fields</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

To get all global fields of an organization, use an HTTP `GET` request:

```json
GET /v3/fields
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains information about the global fields of the organization in JSON format.

    ```json
    {
        "self": "https://api.tracker.yandex.net/v3/fields/standard_field_key",
        "id": "standard_field_key",
        "name": "standard_field_name",
        "key": "standard_field_key",
        "version": 0,
        "schema": {
            "type": "string",
            "required": true
        },
        "readonly": true,
        "options": true,
        "suggest": true,
        "suggestProvider": {
            "type": "QueueSuggestProvider"
        },
        "optionsProvider": {
            "type": "QueueOptionsProvider"
        },
        "queryProvider": {
            "type": "QueueQueryProvider"
        },
        "order": 1,
        "category": {
            "self": "https://api.tracker.yandex.net/v3/fields/categories/0000000000000001********",
            "id": "0000000000000001********",
            "display": "System"
        },
        "type": "standard"
    },
    ...
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource with information about the field | String |
    | id | Field ID | String |
    | name | Field name | String |
    | key | Field key | String |
    | version | Field version; each change to the field increases the version number | Number |
    | [schema](#schema) | Object with information about the field value's data type | Map item |
    | readonly | Shows if the field value is editable:<ul><li>`true`: Non-editable</li><li>`false`: Editable</li></ul> | Boolean |
    | options | Shows if the list of values is restricted:<ul><li>`true`: The list of values is not restricted, you can set any value.</li><li>`false`: The list of values is restricted by the organization's settings.</li></ul> | Boolean |
    | suggest | Enables/disables search suggestions when entering field values:<ul><li>`true`: Enabled</li><li>`false`: Disabled</li></ul> | Boolean |
    | [suggestProvider](#suggestProvider) | Object with information about the search suggestion class.<br/>You cannot change the class using the API. | Map item |
    | [optionsProvider](#optionsProvider) | Object with information about allowed field values. | Map item |
    | [queryProvider](#queryProvider) | Object with information about the query language class.<br/>You cannot change the class using the API. | Map item |
    | order | Sequence number in the list of organization fields: [https://tracker.yandex.com/admin/fields](https://tracker.yandex.com/admin/fields) | Number |
    | [category](#category) | Object with information about the field category.<br/>To get a list of all categories, use the HTTP request:<br/>`GET /v3/fields/categories` | Map item |
    | type | Field type | String |

    `schema` **object fields** {#schema}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | type | Field value type Possible data types:<ul><li>`string`: String; available for fields with a single value</li><li>`array`: Array; available for fields with multiple values</li></ul> | String |
    | items | Value type; available for fields with multiple values | String |
    | required | Shows if the field is required:<ul><li>`true`: Required</li><li>`false`: Optional</li></ul> | Boolean |

    `suggestProvider` **object fields** {#suggestProvider}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | type | Search suggestion class. | String |

    `optionsProvider` **object fields** {#optionsProvider}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | type | Type of field values. | String |
    | values | Array of field values. | Array |

    `queryProvider` **object fields** {#queryProvider}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | type | Query language type | String |

    `category` **object fields** {#category}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource with information about the field category | String |
    | id | Field category ID | String |
    | display | Category name displayed | String |

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a message with error details:

    <!-- source: en/_includes/api/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/_includes/api/answer-error-400.md -->

    <!-- source: en/_includes/api/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/_includes/api/answer-error-403.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

    <!-- source: en/_includes/api/answer-error-500.md -->
    500
    :   Internal service error. Try again later.
    <!-- endsource: en/_includes/api/answer-error-500.md -->

    <!-- source: en/_includes/api/answer-error-503.md -->
    503
    :   The API service is temporarily unavailable.
    <!-- endsource: en/_includes/api/answer-error-503.md -->

{% endlist %}
